import * as unplugin from 'unplugin';
import { ScriptSetupTransformOptions, TransformResult, ParsedSFC, PluginOptions } from './types';
export { ParsedSFC, PluginOptions, ResolvedOptions, ScriptSetupTransformOptions, ScriptTagMeta, TransformResult } from './types';
import * as babelCore from '@babel/core';
import '@babel/parser';
import '@babel/types';
import '@rollup/pluginutils';
import 'rollup';

declare function shouldTransform(code: string, id: string, options?: ScriptSetupTransformOptions): boolean;
declare function transform(input: string, id: string, options?: ScriptSetupTransformOptions): TransformResult;

declare function transformScriptSetup(sfc: ParsedSFC, options?: ScriptSetupTransformOptions): {
    ast: null;
    code: string;
} | {
    ast: babelCore.types.Program;
    code: string;
};

declare const _default: unplugin.UnpluginInstance<PluginOptions>;

export { _default as default, shouldTransform, transform, transformScriptSetup };
